package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.SubInfo;
import com.ruoyi.system.domain.SubPreNew;
import com.ruoyi.system.domain.Tender;
import com.ruoyi.system.mapper.SubPreNewMapper;
import com.ruoyi.system.service.ISubPreNewService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层实现
 *
 * @author ruoyi
 */
@Service
@DataSource(value = DataSourceType.SLAVE)
public class SubPreNewServiceImpl extends ServiceImpl<SubPreNewMapper, SubPreNew> implements ISubPreNewService
{
    @Autowired
    private SubPreNewMapper subPreNewMapper;
    public List<Tender> listS() {
        List lst= subPreNewMapper.selectList(new QueryWrapper<SubPreNew>());
        return lst;
    }

    @Override
    public SubPreNew findOne(LambdaQueryWrapper<SubPreNew> eq) {
        return subPreNewMapper.selectOne(eq);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void Save(SubPreNew vo) {
        subPreNewMapper.insert(vo);
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveOrUpdate(SubPreNew entity) {
        return super.saveOrUpdate(entity);
    }



}
